# $Id: activeheart.spec,v 1.1 2004/04/04 23:02:51 rexdieter Exp $

%define	theme %{name} 

Name:  	 activeheart 
Summary: a KDE style of harmony of sharpness and softness. 
Version: 1.2.1
Release: 1%{?dist}

Source:	 http://www.kde-look.org/content/files/11384-activeheart-1.2.1.tar.bz2
URL:	 http://www.kde-look.org/content/show.php?content=11384
#URL: 	 http://www.geocities.jp/prefsx1/tk040403/
Group: 	 User Interface/Desktop
License: GPL 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildRequires: kdelibs-devel >= 6:3.3
BuildRequires: kdebase-devel
## Not *strictly* required -- Rex
Requires(hint): kdebase

%{?!_icondir:%define _icondir   %{_datadir}/icons}
%{?!theme:%define theme %{name}}

%description
The concept of this KDE style is harmony of sharpness and softness.
And this style was created based on keramik.


%prep

%setup -q 


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_datadir}/apps/kdisplay/color-schemes/*.kcsrc
%{_datadir}/apps/kstyle/themes/*.themerc
#{_datadir}/apps/kwin/*.desktop
%{_libdir}/kde3/kstyle_%{theme}*.*
#{_libdir}/kde3/kwin*_%{theme}*.*
%{_libdir}/kde3/plugins/styles/%{theme}.*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Feb 21 2006 Rex Dieter 1.2.1-1
- cleanup

* Wed May 25 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.2.1-0.0.kde
- 1.2.1

* Sun Apr 25 2004 Rex Dieter <rexdieter at sf.net> 1.2-0.0
- 1.2

* Sun Apr 04 2004 Rex Dieter <rexdieter at sf.net> 1.1.3-0.fdr.0
- 1.1.3 

